// import '@/shared/ui/assets/styles/index.scss';
import React from 'react';
import ReactDOM from 'react-dom/client';
import { App } from './app';
import { initAxios } from '@/shared/configs/axios';
import { initSentry } from '@/shared/configs/sentry';
import { AppProvider } from './providers/app-provider';
// import appBridge from '@/shared/lib/appBridge';

const initApp = async () => {
  initAxios();
  initSentry();
  // appBridge.sendMessage('login')
};

(async () => {
  await initApp();
  const root = ReactDOM.createRoot(document.getElementById('root') as HTMLElement);

  root.render(
    <AppProvider>
      <App />
    </AppProvider>
  );
  // If you want to start measuring performance in your app, pass a function
  // to log results (for example: reportWebVitals(console.log))
  // or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
})();
